<?php

//   http://blogprogram.ru/pdf-php-osnovy-raboty-sozdanie-tablic-chast-1

//  PDF     
require_once( "fpdf181/fpdf.php" );
define('FPDF_FONTPATH', 'fpdf181/font/');

//  
// : P - , L -  
$pdf = new FPDF( 'P', 'mm', 'A4' );

//     
$pdf->SetTextColor(0, 0, 0);

//  
$pdf->AddFont('TahomaMy','','tahoma.php'); //  
$pdf->AddFont('TahomaMyBold','B','tahoma_bold.php');
$pdf->SetFont('TahomaMy','',12); //    12 

// 1- 
//    .  P -  L - 
$pdf->AddPage('P');

//1.  : ,  x,  y,  
$pdf->Image("widget-company-logo.png", 50, 108, 110 );

//2.  
//  . ""    ,     160
$pdf->Ln(160);

// 
$pdf->SetFontSize(25);
//Cell -   (0 -  .   0,       ; 15 -  ;  ; 0 -    ; 0 -      ; C -   .
$pdf->Cell( 0, 15, "2018  PDF ", 0, 0, 'C' );

// 2- 
$pdf->AddPage('P');

$pdf->SetTextColor(100, 100, 100); //
$pdf->SetFontSize(17);
$pdf->Cell( 0, 15, "2018  PDF ", 0, 0, 'C' );

$pdf->SetTextColor(0, 0, 0); //
$pdf->SetFontSize(12);
//Write -     , 19 -  
$pdf->Write( 21, "      " );

$pdf->Ln( 12 );
$pdf->SetTextColor(0, 0, 0); //
$pdf->Write( 5, "     Write    Cell (     )" );

//3.  
$pdf->SetDrawColor(50, 50, 50); //   ,     (border-) - 
$pdf->Ln( 15 );

//  
$pdf->SetFont('TahomaMyBold', 'B', 15 );

//  
$data = array(
array(9940, 10100, 9490, 11730, 24730),
array('', '', '', '', ''),
array(25110, 26260, 25210, 28370, 54370),
array(27650, 24550, 30040, 31980, 12980),
);

// 
$columnLabels = array( "", "", "Q3", "Q4", "Q5" );
$pdf->SetTextColor(255, 255, 255); //
$pdf->SetFillColor(48, 135, 253); //

// 
for ( $i=0; $i<count($columnLabels); $i++ ) {
$pdf->Cell( 36, 12, $columnLabels[$i], 1, 0, 'C', true ); }
$pdf->Ln( 12 );

//   
$fill = false; //   
$row = 0;
foreach ( $data as $dataRow ) {
//Create the data cells
$pdf->SetTextColor(0, 0, 0); //
$pdf->SetFillColor(215, 255, 203); // 
$pdf->SetFont('TahomaMy', '', 15 );
for ($i=0; $i<count($columnLabels); $i++ ) {
$pdf->Cell(36, 12, $dataRow[$i], 1, 0, 'C', $fill );
}
$row++;
$fill = !$fill;
$pdf->Ln(12);
}
$pdf->Ln(12);
$pdf->Cell(0, 15, "    PDF !", 0, 0, 'C' );

// PDF  
$pdf->Output( "report.pdf", "I" );
?>